//
module tube(thickness, length1, length2, height, fn=100) {
    difference() {
        cylinder(h = height, r1 = length1  , r2 = length2, $fn = fn);
        cylinder(h = height+0.01, r1 = length1 -thickness * 2,r2 = length2 -thickness * 2, $fn = fn);
    }
}

union(){
// Поднимаем на 40 мм вверх
translate([0, 0, 40]) {
        // Создаем трубу диаметром 140 мм, толщиной стенок 10 мм и высотой 10 мм
        tube(thickness = 10, length1 = 70, length2=70, height = 7);
}
// Создаем трубу диаметром 120 мм, толщиной стенок 5 мм и высотой 40 мм
tube(thickness = 5, length1 = 60, length2 = 60, height = 40);

// Опускаем на 40 мм вниз
translate([0, 0, -80]) {
    union(){
    // Создаем трубу  c начальным диаметром 120 мм, и конечным 80 мм толщиной стенок 5 мм и высотой 80 мм
    tube(thickness = 5, length1 = 40, length2 = 60, height = 80);
    cylinder(5, 40,40);
    }
}
}

render();

